module.exports = {
  codes: {
    SUCCESS: 200,
    CREATED: 201,
    BAD_REQUEST: 400,
    VALIDATION_ERROR: 400,
    DUPLICATE_ERROR: 400,
    JWT_MALFORMED: 400,
    JWT_EXPIRED: 400,
    UNAUTHORIZED: 401,
    NOT_FOUND: 404,
    SERVER_ERROR: 500,
    CONFIRMATION_TOKEN_ALREADY_SENT: 400,
  },

  messages: {
    CONTACT_ALREADY_CHECKED: 'CONTACT_ALREADY_CHECKED',
    CONTACT_ALREADY_EXIST: 'CONTACT_ALREADY_EXIST',
    JWT_MALFORMED: 'JWT_MALFORMED',
    JWT_EXPIRED: 'JWT_EXPIRED',
    CONFIRMATION_TOKEN_ALREADY_SENT: 'CONFIRMATION_TOKEN_ALREADY_SENT',
    SMS_HAS_NO_TEXT: 'SMS_HAS_NO_TEXT',
    USER_PHONE_NUMBER_INVALID: 'USER_PHONE_NUMBER_INVALID',
    STATUS_NOT_ALLOWED: 'STATUS_NOT_ALLOWED',
    BAD_CONFIRMATION_TOKEN: 'BAD_CONFIRMATION_TOKEN',
    SHORT_NAME_ALREADY_EXISTS: 'SHORT_NAME_ALREADY_EXISTS',
    EMAIL_ALREADY_EXISTS: 'EMAIL_ALREADY_EXISTS',
    PHONE_ALREADY_EXISTS: 'PHONE_ALREADY_EXISTS',
    NOT_FOUND: 'NOT_FOUND',
    ADDRESS_NOT_FOUND: 'ADDRESS_NOT_FOUND',
    CITY_NOT_FOUND: 'CITY_NOT_FOUND',
    CONTACT_NOT_FOUND: 'CONTACT_NOT_FOUND',
    INVITE_NOT_FOUND: 'INVITE_NOT_FOUND',
    PEOPLE_NOT_FOUND: 'PEOPLE_NOT_FOUND',
    PROFILE_NOT_FOUND: 'PROFILE_NOT_FOUND',
    TICKET_NOT_FOUND: 'TICKET_NOT_FOUND',
    USER_NOT_FOUND: 'USER_NOT_FOUND',
    SUCCESS: 'SUCCESS',
    CREATED: 'CREATED',
    DUPLICATE_ERROR: 'DUPLICATE_KEY',
    VALIDATION_ERROR: 'VALIDATION_ERROR',
    SERVER_ERROR: 'SERVER_ERROR',
    UNAUTHORIZED: 'UNAUTHORIZED',
  },
};
